curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "try-clothes",
"input": {
"model": "nano-banana-2-tryon",
"person_image": "https://example.com/person.jpg",
"garment_image": "https://example.com/garment.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "try-clothes",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Virtual try-on using Nano Banana 2 model.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "try-clothes",
"input": {
"model": "nano-banana-2-tryon",
"person_image": "https://example.com/person.jpg",
"garment_image": "https://example.com/garment.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "try-clothes",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 16 credits |
| Tool | try-clothes |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | try-clothes |
input.model | string | Yes | nano-banana-2-tryon |
input.person_image | string | Yes | URL of the person photo |
input.garment_image | string | Yes | URL of the garment photo |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "try-clothes",
"input": {
"model": "nano-banana-2-tryon",
"person_image": "https://example.com/person.jpg",
"garment_image": "https://example.com/garment.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "try-clothes",
"createdAt": "2024-01-15T10:30:00.000Z"
}